# FdoRdbmsOvPhysicalSchemaMapping Class Reference

`#include <RdbmsOvPhysicalSchemaMapping.h>`

Inheritance diagram for FdoRdbmsOvPhysicalSchemaMapping:

[legend]

List of all members.

## Detailed Description

FdoRdbms.lib.

Abstract base class for RDBMS type provider schema override sets.

Definition at line 33 of file RdbmsOvPhysicalSchemaMapping.h.

## Public Member Functions
FDORDBMS_OV_API FdoRdbmsOvSchemaAutoGeneration * | GetAutoGeneration ()
FDORDBMS_OV_API FdoRdbmsOvReadOnlyClassCollection * | GetClasses ()
| Gets the collection of class overrides for this schema override set.
FDORDBMS_OV_API FdoSmOvGeometricColumnType | GetGeometricColumnType ()
FDORDBMS_OV_API FdoSmOvGeometricContentType | GetGeometricContentType ()
FDORDBMS_OV_API FdoSmOvTableMappingType | GetTableMapping ()
FDORDBMS_OV_API void | SetAutoGeneration (FdoRdbmsOvSchemaAutoGeneration *autoGeneration)
FDORDBMS_OV_API void | SetGeometricColumnType (FdoSmOvGeometricColumnType columnType)
FDORDBMS_OV_API void | SetGeometricContentType (FdoSmOvGeometricContentType contentType)
FDORDBMS_OV_API void | SetTableMapping (FdoSmOvTableMappingType mappingType)
## Protected Member Functions
virtual FDORDBMS_OV_API void | _writeXml (FdoXmlWriter *xmlWriter, const FdoXmlFlags *flags)
virtual FDORDBMS_OV_API void | _writeXmlAttributes (FdoXmlWriter *xmlWriter, const FdoXmlFlags *flags)
virtual FDORDBMS_OV_API void | _writeXmlElements (FdoXmlWriter *xmlWriter, const FdoXmlFlags *flags)
virtual FDORDBMS_OV_API void | AddClass (FdoRdbmsOvClassDefinition *pClass)
virtual FDORDBMS_OV_API FdoRdbmsOvClassDefinition * | CreateClass (FdoXmlSaxContext *context, FdoXmlAttributeCollection *atts)
FDORDBMS_OV_API | FdoRdbmsOvPhysicalSchemaMapping (FdoString *name)
FDORDBMS_OV_API | FdoRdbmsOvPhysicalSchemaMapping ()
FDORDBMS_OV_API FdoRdbmsOvClassCollection * | GetRdbmsClasses ()
virtual FDORDBMS_OV_API void | InitFromXml (FdoXmlSaxContext *pContext, FdoXmlAttributeCollection *attrs)
virtual FDORDBMS_OV_API | ~FdoRdbmsOvPhysicalSchemaMapping ()

The documentation for this class was generated from the following file:

- RdbmsOvPhysicalSchemaMapping.h